package main

import "sync"

type ZFSConfig struct {
	SnapshotAdded       bool
	SnapshotDeleted     bool
	SnapshotInitialized bool
	SnapshotList        []Snapshot
	ZFSAdded            bool
	ZFSDeleted          bool
	ZFSInitialized      bool
	ZFSMap              map[string]string
	M                   sync.Mutex
}

func NewZFSConfig() (z *ZFSConfig) {
	z = &ZFSConfig{
		SnapshotAdded:       false,
		SnapshotDeleted:     false,
		SnapshotInitialized: false,
		ZFSAdded:            false,
		ZFSDeleted:          false,
		ZFSInitialized:      false,
	}
	return
}
